Bug 1121516 - Template: deleting a template with only spaces and quote characters in the name fails
Summary: Template: deleting a template with only spaces and quote characters in the na...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Tomas Strachota
QA Contact: jcallaha
URL: http://projects.theforeman.org/issues...
Whiteboard:
Depends On: 1121755
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-21 06:43 UTC by Sachin Ghai
Modified: 2017-02-23 21:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 05:10:49 UTC


Attachments (Terms of Use)
Template name is " " and it was created successfully (15.30 KB, image/png)
2014-07-21 06:43 UTC, Sachin Ghai
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:1592 normal SHIPPED_LIVE Important: Red Hat Satellite 6.1.1 on RHEL 6 2015-08-12 09:04:35 UTC
Foreman Issue Tracker 6710 None None None 2016-04-22 15:55:50 UTC

Description Sachin Ghai 2014-07-21 06:43:57 UTC
Created attachment 919539 [details]
Template name is " " and it was created successfully

Description of problem:
I was trying to create a template with blank name " " and it was created successfully.


Version-Release number of selected component (if applicable):
sat6 GA snap1

How reproducible:
always

Steps to Reproduce:
1. create provisioning template with name " "
2.
3.

Actual results:
Template was created successfully

Expected results:
UI should throw error message that Name can't be blank

Additional info:
production.log:
Processing by ConfigTemplatesController#create as */*
  Parameters: {"utf8"=>"✓", "search"=>"", "authenticity_token"=>"CLZgGQh3Z80gTOE6iG1eaDPvDAf4ISpF73pxHLoz0K4=", "config_template"=>{"name"=>"\" \"", "template"=>"test", "audit_comment"=>"", "snippet"=>"0", "template_kind_id"=>"1", "operatingsystem_ids"=>["", "", "", ""]}, "keybinding"=>"Default"}
Redirected to https://dhcp201-195.englab.pnq.redhat.com/config_templates
Completed 302 Found in 58ms (ActiveRecord: 14.0ms)
Processing by ConfigTemplatesController#index as */*

Comment 2 Sachin Ghai 2014-07-21 06:47:44 UTC
Please note that On deleting the created template with name " " raises 404 not found error.

logs from production.log

Processing by ConfigTemplatesController#destroy as HTML
  Parameters: {"authenticity_token"=>"CLZgGQh3Z80gTOE6iG1eaDPvDAf4ISpF73pxHLoz0K4=", "id"=>"43-"}
  Rendered common/404.html.erb within layouts/application (1.1ms)
  Rendered home/_user_dropdown.html.erb (1.3ms)
Read fragment views/tabs_and_title_records-3 (0.1ms)
  Rendered home/_topbar.html.erb (2.1ms)
  Rendered layouts/base.html.erb (3.5ms)
Filter chain halted as :find_by_name rendered or redirected
Completed 404 Not Found in 15ms (Views: 6.0ms | ActiveRecord: 1.2ms)

Comment 3 Sachin Ghai 2014-07-21 08:20:30 UTC
Please note that UI successfully creates a template with "  " and "".

Comment 4 Dominic Cleal 2014-07-24 14:49:52 UTC
That's not a bug, quotes are not blank values.

The issue in comment #2 is a bug (same as bug #1121755) so we'll fix that only.

Comment 5 Bryan Kearney 2014-08-12 10:03:45 UTC
Upstream bug assigned to tstrachota@redhat.com

Comment 6 Tomas Strachota 2014-10-13 08:30:52 UTC
As Dominic said, the string '"  "' is a valid name for a template. Only the problem with deletion is a bug.
It got fixed with introduction of friendly_id:

commit 8b737c9c7648b3726dadb3b2e4708fcb43af02a8
Author: Joseph Magen <jmagen@redhat.com>
Date:   Tue Sep 23 12:02:52 2014 +0300

    fixes #4386 - gem friendly_id to simplify find by id, name, label, etc

Comment 7 jcallaha 2014-10-17 18:04:13 UTC
Was able to successfully delete a Template with the name '" "'.

*** This bug is verified in upstream.  This fix should eventually land in future downstream builds ***

# rpm -qa | grep foreman
foreman-release-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-gce-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-selinux-1.7.0-0.develop.201409301113git2f345de.el6.noarch
rubygem-hammer_cli_foreman_tasks-0.0.3-2.201409091410gitc96619d.git.0.37f3704.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-foreman-proxy-1.0-1.noarch
foreman-postgresql-1.7.0-0.develop.201410150839gitb948163.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-qpid-broker-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-qpid-client-cert-1.0-1.noarch
foreman-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-ovirt-1.7.0-0.develop.201410150839gitb948163.el6.noarch
foreman-vmware-1.7.0-0.develop.201410150839gitb948163.el6.noarch
ruby193-rubygem-foreman_hooks-0.3.7-2.el6.noarch
ruby193-rubygem-foreman_discovery-1.4.0-0.1.rc4.el6.noarch
rubygem-hammer_cli_foreman-0.1.3-1.201410151235gitbc8c449.el6.noarch
ruby193-rubygem-foreman_bootdisk-4.0.0-1.el6.noarch
foreman-proxy-1.7.0-0.develop.201410101404git7961640.el6.noarch
qe-foreman-rhel65.usersys.redhat.com-puppet-client-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-foreman-client-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-apache-1.0-1.noarch
qe-foreman-rhel65.usersys.redhat.com-parent-cert-1.0-1.noarch
foreman-compute-1.7.0-0.develop.201410150839gitb948163.el6.noarch
ruby193-rubygem-foreman-tasks-0.6.10-1.el6.noarch
foreman-libvirt-1.7.0-0.develop.201410150839gitb948163.el6.noarch

Comment 8 Bryan Kearney 2015-08-11 13:35:53 UTC
This bug is slated to be released with Satellite 6.1.

Comment 9 errata-xmlrpc 2015-08-12 05:10:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:1592


Note You need to log in before you can comment on or make changes to this bug.